<script>
// import Layout from "../../layouts/main";
import Layout from "../../layouts/main.vue";
import PageHeader from "../../components/page-header.vue";
import Theme from "./web-layout-setting/theme.vue";
import General from './web-layout-setting/general.vue';
import Widget from './web-layout-setting/widget.vue';
import Keys from './web-layout-setting/keys.vue';
import Layouts from './web-layout-setting/layouts.vue';
import HomePage from './web-layout-setting/home-page.vue';
import config from '../../config';
import { webLayoutService } from "../../services";

/** 
 * Tabs & accordions component
 */
export default {
  components: { Layout, PageHeader, Theme, General, Widget, Keys, Layouts, HomePage },
  data() {
    return {
      config: config,
    };
  },

};
</script>

<template>
  <Layout>

    <PageHeader :title="trans.get('__JSON__.Web Configurations')">
        <template  v-slot:icon>
            <i class="bx bx-layout"></i>
        </template>
    </PageHeader>
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body p-0">
            <!-- Tab panel start-->
            <b-tabs justified lazy nav-class="nav-tabs-custom order-tabs" content-class="p-3 text-muted">
              <b-tab active>
                <template v-slot:title>
                  <span class="d-inline-block d-sm-none">
                    <i class="fas fa-file"></i>
                  </span>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.General') }}</span>
                </template>
                <General />
              </b-tab>
              <b-tab>
                <template v-slot:title>
                  <span class="d-inline-block d-sm-none">
                    <i class="fas fa-file"></i>
                  </span>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Theme') }}</span>
                </template>
                <Theme />
              </b-tab>
              <!-- <b-tab>
                <template v-slot:title>
                  <span class="d-inline-block d-sm-none">
                    <i class="fas fa-home"></i>
                  </span>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Ordering Widget') }}</span>
                </template>
                <Widget/>
              </b-tab> -->
              <!-- <b-tab>
                <template v-slot:title>
                  <span class="d-inline-block d-sm-none">
                    <i class="fas fa-file"></i>
                  </span>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Integrations') }}</span>
                </template>
                <Keys/>
              </b-tab> -->
              <!-- <b-tab>
                <template v-slot:title>
                  <span class="d-inline-block d-sm-none">
                    <i class="fas fa-home"></i>
                  </span>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Layout') }}</span>
                </template>
                <Layouts/>
              </b-tab> -->
              <!-- <b-tab>
                <template v-slot:title>
                  <span class="d-inline-block d-sm-none">
                    <i class="fas fa-home"></i>
                  </span>
                  <span class="d-none d-sm-inline-block d-none">{{ trans.get('__JSON__.Landing Page') }}</span>
                </template>
                <HomePage/>
              </b-tab> -->
            </b-tabs>
            <!-- Tab panel end -->
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>